### File

`packages/components/eui-input-number/eui-number-control.directive.ts`

### Description

Directive for the EuiInputNumberComponent. This directive is used to handle the value changes of the input element and update the value of the directive and the form control. It also implements the ControlValueAccessor interface to allow the directive to be used with reactive forms.

### Implements

`ControlValueAccessor` `OnInit`

### Metadata

Providers | `{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => EuiInputNumberDirective), multi: true, }`
Selector | `input[euiInputNumber][formControl],input[euiInputNumber][formControlName],input[euiInputNumber][ngModel]`

### Index

###### Methods

- registerOnChange
- registerOnTouched
- setDisabledState
- writeValue

### Methods

registerOnChange
`registerOnChange(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

setDisabledState
`setDisabledState(isDisabled: boolean)`

Set the disabled state of the input element.

Parameters :

Name | Type | Optional
isDisabled | `boolean` | No

Returns : `void`

writeValue
`writeValue(obj: any)`

Parameters :

Name | Type | Optional
obj | `any` | No

Returns : `void`

# results matching ""

# No results matching ""